

    PicBoot 1.00                User manual                 PicBoot 1.00


    NAME 
        PicBoot 

    SYNOPSIS 
        PicBoot FILES/M/A,L=LIST/S,B=BLACK/S,D=DETACH/S 

    DESCRIPTION 
        Have  you  removed  all output in your 2.0 startup, and only see
        an  empty  screen  during  bootup? Wouldn't it be nice to have a
        picture  instead?  A picture that disappeared when the Workbench
        screen was opened? 

        If  so,  PicBoot is certainly a program for you. What it will do
        is  to  read  any  IFF file containing an ILBM picture, and show
        that  picture.  As  soon as the Workbench screen appears (or you
        press any mouse-button), the picture will go away.  

        PicBoot  features  a fast BODY-unpacker (use the BLACK option to
        get  the  best  speed),  optional  auto-detaching,  and a way to
        automatically  random select among any number of different files
        to  show.  PicBoot  also  uses  less  memory  while  showing the
        picture  compared  to IffBoot (IffBoot keeps the compressed body
        in  memory  while  showing  the  picture.  Pure waste of memory.
        PicBoot  will  free  that  memory  as  soon  as  the  picture is
        unpacked, and will also close all files etc.).  

        To  activate  PicBoot, add a line your startup-sequence, looking
        something like this: 

        PicBoot Pics:Hi-res/RockyCalvin.Pic BLACK DETACH 

        Or, if you have a list of files in "Work:Text/PicList": 

        PicBoot Work:Text/PicList LIST BLACK DETACH 

        This  line should be located very early in the Startup-Sequence,
        but  keep  it  after SetPatch. PicBoot will only output any text
        if it fails, so don't re-direct its output.  

        Make  sure  no program makes any output in the CLI window, since
        then  the  Workbench  screen  will open with a boring CLI-window
        instead...  

        Apart   from  OS  2.04,  PicBoot  doesn't  require  any  special
        libraries.    The    only    non-ROM    library    required   is
        iffparse.library.  

    OPTIONS 

        FILES 
            This  is  the  only  required argument. Here you specify the
            name  of the picture you want to view. You may enter several


    Page 1                                           (Printed 08 Feb 93)


    PicBoot 1.00                User manual                 PicBoot 1.00


            files  here,  in  which case PicBoot will select one of them
            randomly,  and  show that one. It may also be the name of an
            ASCII  file  containing a filename list if you specified the
            LIST option (see below).  

            NOTE:  The random-number generator used is quite simple, and
            is  based  on the current system time. I don't know if it is
            a  "good" one. If you have an algorithm you think is better,
            don't be afraid to send it to me.  

        LIST 
            If   this   switch  is  present,  it  instructs  PicBoot  to
            interpret  the  *first*  filename  specified  in  the  FILES
            argument  as  the  name  of  a  file  containing  a  list of
            pictures  (any  ohter filename(s) in the FILES argument will
            be  ignored).   PicBoot will then randomly select one of the
            filenames in the file, and view that picture.  

            This  filelist  file  is  an ASCII (text) file with a simple
            layout.  On  the  first  line  you  specify  the  number  of
            filenames  in  the file. This is usually <number of lines in
            file>-2  (one  line  is occupied by the count, and the other
            is  the  last  linefeed). The rest of the file is simply the
            files  to  view,  one  filename  per  line. So, a short file
            could look like this: 

            3
            Work:Pics/Comics/Calvin01.Pic
            Work:Pics/Comics/Calvin02.Pic
            Work:Pics/Comics/Calvin03.Pic

        BLACK 
            This  will make PicBoot open up a black screen (very small 1
            bitplane,  almost  a  0 bitplane screen.. :) before the real
            screen  is  opened  (and this one will open behind the black
            one).  Since  the black screen needs very little DMA time to
            be  displayed,  the  CPU  will  get  much more access to the
            CHIP-mem  rather  than  if  a  4  bitplane hires screen (ECS
            system)  would  be  in  the  front.  This  can speed up BODY
            unpacking  rather much (since during boot there is no screen
            to hide behind... :).  

        DETACH 
            This  will cause PicBoot to detach from its calling CLI when
            the  picture  is  fully  loaded  etc.  If  you  specify this
            option,  you  shouldn't RUN PicBoot. This option will reduce
            memory  fragmentation, and will ensure that the picture gets
            loaded  quickly. However, the implementation maybe isn't the
            most  "system-friendly"  one  (but  there  aren't  that many
            alternatives...),  hence  the  switch. I don't think it will
            be any problems, but one can never know... :) 



    Page 2                                           (Printed 08 Feb 93)


    PicBoot 1.00                User manual                 PicBoot 1.00


    KNOWN BUGS AND LIMITATIONS 
        I  do not know of any real bugs in PicBoot. However, there are a
        few  "limitations",  compared  to  other  viewers.  One  is that
        PicBoot  will  refuse  to show pictures that have a body that is
        compressed  across  rows. I've come across one one picture which
        seems  to  be  compressed  like  this,  so  it  seems  like some
        IFF-writers  (well, at least one :) can write bad ILBMs. This is
        a  bug (in the writer program), since the IFF-specs clearly says
        that  one  shouldn't  compress  across  rows  (and  I understand
        why... :).  

        Also,  pictures  that  have  mask  bitplane (mskHasMask) are not
        supported.  I decided to not add support for this, since I don't
        have  any  such picture to test it with anyway... :) If you have
        such  pictures,  and wants PicBoot to be able to show them, send
        me a note, and we'll see what can be done..  

        PicBoot  should work on most Amigas, but there is as yet no real
        support  for the new AGA modes or extended color capabilities. I
        plan  to  add  this  as  soon  as  Commodore releases the Native
        Developer  Kit  here in Sweden... :( PicBoot doesn't enforce PAL
        or  NTSC  depending on height or similar, so it should work nice
        on both NTSC and PAL systems.  

    AUTHOR 
        PicBoot  was  written  in  100% assembler by Magnus Holmgren. If
        you  have any comments etc, feel free to send me a note. You can
        reach me via internet on any of these addresses: 

            cmh@augs.se
            magnus_holmgren@augs.se
            cmh@lysator.liu.se
            d91magho@und.ida.liu.se

        Fido-net    messages    should    go   to   "Magnus   Holmgren",
        2:204/404.6@fidonet.org.   Snail  mail  should  reach  me if you
        write the following address on the envelope: 

            Magnus Holmgren
            Rydsvgen 254  A:14
            S-582 51  Linkping
            SWEDEN

        Since  I  start  doing  my military service in a not too distand
        future  (end  of March), it may take a little while before I can
        reply to your message, so please have some patience! :) 

    DISTRIBUTION 
        PicBoot  is  released  as  FREEWARE. This means that you may use
        and   copy  this  program  freely,  as  long  as  the  following
        restrictions are followed: 



    Page 3                                           (Printed 08 Feb 93)


    PicBoot 1.00                User manual                 PicBoot 1.00


        1)  All  files  are copied in an unmodified state. If additional
        information  is  needed, place it in a separate file. Preferably
        redistribute in the original archive form (*.Lha).  

        2)  The copying is done on a non-commercial and non-profit basis
        only.  A  copy  fee  to  cover  media costs, postage etc. may be
        charged,  and  mustn't  exceed the fee to obtain an AmigaLibDisk
        from Fred Fish.  

        3)  The  copier/spreader is not claiming the Copyright  of this
        program.  

        Any   exceptions   from   these  restrictions  requires  written
        permission from the author, Magnus Holmgren.  








































    Page 4                                           (Printed 08 Feb 93)

